EasyEngine 1.3.4 with better Ubuntu Support

Recently, a new Ubuntu LTS release, version 14.04, became available.

EasyEngine was using Brian Mercer’s launchpad repo for nginx and this repo was not updated for any version after 12.04, hence EasyEngine was not working on new distros. So we setup our own launchpad repo to rectify situation.

Changelog

Even though, this is a minor release, it addresses many issues.

  • Supports Ubuntu 12.04, 12.10, 13.10 & 14.04 (fixed issues #94 and #195)
  • Change FPM process management from dynamic to ondemand (fixed issue #184)
  • Show php memory limit in ee info command (fixed issue #188)
  • Fixed Debian 6 wget command issue (found during testing)
  • Upgrade Nginx to latest stable version 1.4.7

Please note that Ubuntu version 13.04 has reached end of life and Launchpad doesn’t allow packages to be built for outdated distro versions.

Upgrading

Existing users can simply run  ee update to upgrade EasyEngine and Nginx to latest version.

Leave a Reply